%define aurox_ver 9.3
%define rel 1

%define filename scribus-scripting

Summary: Plugin which adds the scripting language Python to Scribus
Name: scribus-scripter
Version: 0.5
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Multimedia
URL: http://web2.altmuehlnet.de/fschmid/download.html
Source: %{filename}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

Requires: scribus >= 1.0, python >= 2.2
BuildRequires: scribus >= 1.0, python-devel

%description
This Plugin installs a new entry in the main Menubar called
"Script". To run a Python-Script select "Execute Script..."
and you get a File Select Box to select a Script.

%prep
%setup -q -n %{filename}-%{version}

%build
%configure --with-extra-includes=/usr/include/scribus

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}/usr/include
ln -s /usr/include/scribus %{buildroot}/usr/include/scribus
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/scribus/doc/en/Scripter
%{_libdir}/scribus/plugins/*
%{_libdir}/scribus/samples/*

%changelog
* Thu Jan 29 2004 Aurox Team <aurox@aurox.org> 0:0.5-9.3.aur.1
- rebuild
- link to scribus header file allows to build this package
- fix files section
- initial import

